Bug 208053 - Update WPT tests for Intersection Observer
Summary: Update WPT tests for Intersection Observer
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Frédéric Wang (:fredw)
URL:
Keywords: InRadar
Depends on:
Blocks: 159475 208047
  Show dependency treegraph
 
Reported: 2020-02-21 07:03 PST by Frédéric Wang (:fredw)
Modified: 2020-04-20 12:45 PDT (History)
6 users (show)

See Also:


Attachments
Patch (129.45 KB, patch)
2020-02-21 07:24 PST, Frédéric Wang (:fredw)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Frédéric Wang (:fredw) 2020-02-21 07:03:00 PST
Let's update them...
Comment 1 Frédéric Wang (:fredw) 2020-02-21 07:24:38 PST
Created attachment 391396 [details]
Patch
Comment 2 WebKit Commit Bot 2020-02-21 09:06:48 PST
Comment on attachment 391396 [details]
Patch

Clearing flags on attachment: 391396

Committed r257137: <https://trac.webkit.org/changeset/257137>
Comment 3 WebKit Commit Bot 2020-02-21 09:06:49 PST
All reviewed patches have been landed.  Closing bug.
Comment 4 Radar WebKit Bug Importer 2020-02-21 09:07:17 PST
<rdar://problem/59670001>
Comment 5 Jacob Uphoff 2020-02-26 08:44:18 PST
These two tests are missing expected files:
imported/w3c/web-platform-tests/intersection-observer/v2/cross-origin-effects.sub.html
imported/w3c/web-platform-tests/intersection-observer/v2/cross-origin-occlusion.sub.html
Comment 6 Frédéric Wang (:fredw) 2020-02-26 08:50:07 PST
(In reply to Jacob Uphoff from comment #5)
> These two tests are missing expected files:
> imported/w3c/web-platform-tests/intersection-observer/v2/cross-origin-
> effects.sub.html
> imported/w3c/web-platform-tests/intersection-observer/v2/cross-origin-
> occlusion.sub.html

OK, I think they should have been [ Skip ] rather than [ Timeout ]. I thought we were skipping timeout tests in our bot...
Comment 7 Jacob Uphoff 2020-02-26 11:55:16 PST
Skipped the test here: https://trac.webkit.org/changeset/257501/webkit
Comment 8 Carlos Alberto Lopez Perez 2020-04-20 12:45:03 PDT
(In reply to Jacob Uphoff from comment #7)
> Skipped the test here: https://trac.webkit.org/changeset/257501/webkit

Updated the bug url and moved the skip of this 2 tests to the general expectations in https://trac.webkit.org/changeset/260388